Subject: bug#36304: 27.0.50; request: switch to the superior HTML #RGB convention for colors

From: Eli Zaretskii <[email-masked]>
Date: Sat, 22 Jun 2019 14:40:13 +0300

> From: Pip Cet <[email-masked]>
> Date: Sat, 22 Jun 2019 11:23:35 +0000
> Cc: [email-masked]
> 
> Here's a patch. I've read the documentation and it appears already to
> have been updated by someone so it no longer links to the X
> documentation.
> 
> * src/xterm.c (x_parse_color): Translate #RGB notation to rgb:R/G/B
>   notation, which X handles slightly differently.

Can this change be limited to xterm.c alone?  I think we assume this
color handling also in xfaces.c and in lisp/term/tty-colors.el (and
perhaps elsewhere, where TTY colors are used/defined).  There's also
lisp/color.el.

Am I missing something?